Last Comment Bug 368370 - "uncolored" tags inherit colors from other tags
: "uncolored" tags inherit colors from other tags
Status: RESOLVED FIXED
: fixed-seamonkey1.1.1, verified1.8.1.3
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Karsten Düsterloh
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-26 15:30 PST by flaimo
Modified: 2008-07-31 04:30 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
set default colour to be empty (1.16 KB, patch)
2007-02-17 06:48 PST, Karsten Düsterloh
mozilla: review+
mozilla: superreview+
mscott: approval‑thunderbird2+
Details | Diff | Review

Description flaimo 2007-01-26 15:30:21 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1
Build Identifier: thunderbird 2.0 beta 2

seems like there is a little problem when displaying the colors of tags in the dropdown menu (and also in the list in the options-dialog). if you create tags WITHOUT a color information and then tags WITH a color information, the tags without the color inherit the color from the later tag.





Reproducible: Always

Steps to Reproduce:
1) click the "tag" button and then "new tag…"
2) name the new tag "X" and DON'T choose a color. click "OK"
3) create another tag "Y", again without choosing a color
4) create another tag "Z", but this time choose a color
5) click the "tag" button again. "X" and "Y" inherit the color choosen for "Z"
Actual Results:  
see step 5) if you choose red as a color for "Z", then "X" and "Y" also become red.

Expected Results:  
when not choosing a color, the defaulttextcolor should be black, but not take the color information from an unrelated tag.
Comment 1 Magnus Melin 2007-01-28 03:27:50 PST
->NEW on Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.2pre) Gecko/20070127 Thunderbird/2.0pre ID:2007012703
Comment 2 Karsten Düsterloh 2007-02-17 06:35:53 PST
This is a regression of bug 354726, where the error code for GetColorForKey was dropped.
Comment 3 Karsten Düsterloh 2007-02-17 06:48:51 PST
Created attachment 255452 [details] [diff] [review]
set default colour to be empty

GetColorForKey doesn't do anything wrt the result in the error case, so we can safely empty the string before looking for colours.
Comment 4 Scott MacGregor 2007-02-17 08:12:58 PST
Comment on attachment 255452 [details] [diff] [review]
set default colour to be empty

Karsten, can you land this on the branch too?
Comment 5 Karsten Düsterloh 2007-02-18 04:35:31 PST
Landed on trunk and MOZILLA_1_8_BRANCH.
Comment 6 Robert Kaiser (not working on stability any more) 2007-02-21 09:21:57 PST
I included this fix in the SeaMonkey 1.1.1 release tag.
Comment 7 Scott MacGregor 2007-02-27 09:14:03 PST
adding the fixed1.8.1.3 keyword since karsten kindly landed this on the mozilla 1.8 branch.
Comment 8 Marcia Knous [:marcia - use ni] 2007-03-30 15:23:21 PDT
verified on the 1.8 branch using Win XP. I verified using the Tbird candidate build, version 2.0.0.0 (20070326). I was not able to reproduce using the original STR. Adding verified keyword for the branch.

Note You need to log in before you can comment on or make changes to this bug.